OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
GenAdaptivityMaskOp< IndexTreeType, BoolTreeType > Class Template Reference

TBB body object for threaded sharp feature construction. More...

`#include <openvdb_houdini/GeometryUtil.h>`

## Public Types
using | BoolLeafManager = openvdb::tree::LeafManager< BoolTreeType >

## Public Member Functions
| GenAdaptivityMaskOp (const GU_Detail &refGeo, const IndexTreeType &indexTree, BoolLeafManager &, float edgetolerance=0.0)
void | run (bool threaded=true)
void | operator() (const tbb::blocked_range< size_t > &) const

## Detailed Description

template<typename IndexTreeType, typename BoolTreeType>
class openvdb_houdini::GenAdaptivityMaskOp< IndexTreeType, BoolTreeType >

TBB body object for threaded sharp feature construction.

## Member Typedef Documentation

## ◆ BoolLeafManager

template<typename IndexTreeType , typename BoolTreeType >

using BoolLeafManager = openvdb::tree::LeafManager<BoolTreeType>

## Constructor & Destructor Documentation

## ◆ GenAdaptivityMaskOp()

template<typename IndexTreeType , typename BoolTreeType >

GenAdaptivityMaskOp | ( | const GU_Detail & | refGeo,
|  | const IndexTreeType & | indexTree,
|  | BoolLeafManager & | leafMgr,
|  | float | edgetolerance = `0.0`
| ) |  |

## Member Function Documentation

## ◆ operator()()

template<typename IndexTreeType , typename BoolTreeType >

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const

## ◆ run()

template<typename IndexTreeType , typename BoolTreeType >

void run | ( | bool | threaded = `true` | ) |